Bug 159718

Summary: Wish: Excluding subdirecories like .thumbs
Product: kphotoalbum Reporter: ChrisDi <kde.org>
Component: generalAssignee: KPhotoAlbum Bugs <kpabugs>
Status: RESOLVED FIXED    
Severity: wishlist CC: blackie, m.praznovsky, miika.turkia
Priority: NOR Keywords: junior-jobs
Version: unspecified   
Target Milestone: ---   
Platform: Debian testing   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Added option to set exclude directories by user

Description ChrisDi 2008-03-22 23:39:03 UTC
Version:           3.1.0 (using KDE 3.5.8)
Installed from:    Debian testing/unstable Packages
OS:                Linux

I today started testing kphotoalbum and it took about 12 hours to import my ~70.000 pictures (reading exif data took that long). After import I found out that over 130.000 pics where imported! kphotoalbum just added the .thumbs directorys, some other applications are generating to stort their generated preview pics.

I would like to see a configuration option in kphotoalbum to exclude several customable directories from importing.
Comment 1 Jesper Pedersen 2009-07-10 17:36:52 UTC
This would require two steps:
1) adding the settings to the settings dialog
2) using the setting while scanning for images

1) needs to be added to Settings/SettingsData.cpp and Settings/*Page.cpp
(depending on which page it should be shown)
2) needs to adapt DB/NewImageFinder.cpp
Comment 2 Michal Yogi Práznovský 2009-10-02 11:02:59 UTC
Created attachment 37322 [details]
Added option to set exclude directories by user
Comment 3 Michal Yogi Práznovský 2009-10-02 11:51:42 UTC
litte comment to patch: user can define multiple names of directories to exclude from import by using separator ,

example = .thumbs,.Thumbnails,my_not_to_import_directory

hardcoded options like .,.. are unchanged
Comment 4 Jesper Pedersen 2009-10-02 13:01:42 UTC
Thanks, I'll have a look at it once KPA 4.1 has been released. Cheers
Jesper.

On Friday 02 October 2009 11:51:45 Michal Yogi Práznovský wrote:
| https://bugs.kde.org/show_bug.cgi?id=159718
|
|
| Michal Yogi Práznovský <m.praznovsky@gmail.com> changed:
|
|            What    |Removed                     |Added
| ---------------------------------------------------------------------------
|- CC|                            |m.praznovsky@gmail.com
|
|
|
|
| --- Comment #3 from Michal Yogi Práznovský <m praznovsky gmail com> 
| 2009-10-02 11:51:42 --- litte comment to patch: user can define multiple
| names of directories to exclude from import by using separator ,
|
| example = .thumbs,.Thumbnails,my_not_to_import_directory
|
| hardcoded options like .,.. are unchanged
Comment 5 Miika Turkia 2010-01-01 08:47:38 UTC
Thanks for the patch. It is committed to trunk.